'''
Created on Oct 19, 2012

An MLS assign statement to assign a (clearance, category set() pair to a file of diectory
@author: carr
'''

class MLSAssignment(object):

    def __init__(self,path,clearance,categorySet,recursive):
        '''
        
        :param path:  the file system path for the assignment
        :param clearance: the security clearance level
        :param categorySet: the set of categories for the security level
        :param recursive: is the assignment recursive in the directory tree
        '''

        self.path = path
        self.clearance = clearance
        self.categorySet = categorySet
        self.recursive = recursive
        self.categorySetString = str(categorySet)
        self.securityLevelString= self.clearance+ self.categorySetString
        
    def getPath(self): return self.path
    def getClearance(self): return self.clearance
    def getCategories(self): return self.categorySet
    def isRecursive(self): return self.recursive
    
    def getSecurityLevelString(self): return self.securityLevelString
    def getCategorySetString(self): return self.categorySetString
    
 
            
        
    